package com.usoft.fin.grpc.dal.entity;

/**
 * <pre>
 * 提款申请记录验收单验收单信息
 * 表名 : t_draw_apply_order_accept
 * </pre>
 * @author: Mybatis Generator
 */
public class DrawApplyOrderAccept {
    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply_order_accept.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 提款编号
     * 表字段 : t_draw_apply_order_accept.draw_code
     * </pre>
     */
    private String drawCode;

    /**
     * <pre>
     * 验收单id
     * 表字段 : t_draw_apply_order_accept.accept_id
     * </pre>
     */
    private Integer acceptId;

    /**
     * <pre>
     * 验收单编号
     * 表字段 : t_draw_apply_order_accept.accept_code
     * </pre>
     */
    private String acceptCode;

    /**
     * <pre>
     * 验收日期
     * 表字段 : t_draw_apply_order_accept.accept_date
     * </pre>
     */
    private String acceptDate;

    /**
     * <pre>
     * 验收金额
     * 表字段 : t_draw_apply_order_accept.accept_amount
     * </pre>
     */
    private Double acceptAmount;

    /**
     * <pre>
     * 验收状态
     * 表字段 : t_draw_apply_order_accept.accept_status
     * </pre>
     */
    private String acceptStatus;

    /**
     * <pre>
     * 订单明细id
     * 表字段 : t_draw_apply_order_accept.order_item_id
     * </pre>
     */
    private Integer orderItemId;

    /**
     * <pre>
     * 物料编号
     * 表字段 : t_draw_apply_order_accept.product_code
     * </pre>
     */
    private String productCode;

    /**
     * <pre>
     * 物料名称
     * 表字段 : t_draw_apply_order_accept.product_title
     * </pre>
     */
    private String productTitle;

    /**
     * <pre>
     * 物料规格
     * 表字段 : t_draw_apply_order_accept.product_spec
     * </pre>
     */
    private String productSpec;

    /**
     * <pre>
     * 物料原厂型号
     * 表字段 : t_draw_apply_order_accept.product_cmpcode
     * </pre>
     */
    private String productCmpcode;

    /**
     * <pre>
     * 订单id
     * 表字段 : t_draw_apply_order_accept.order_id
     * </pre>
     */
    private Integer orderId;

    /**
     * <pre>
     * 订单编号
     * 表字段 : t_draw_apply_order_accept.order_code
     * </pre>
     */
    private String orderCode;

    /**
     * <pre>
     * 客户企业名称
     * 表字段 : t_draw_apply_order_accept.cust_name
     * </pre>
     */
    private String custName;

    /**
     * <pre>
     * 订单总金额
     * 表字段 : t_draw_apply_order_accept.order_total
     * </pre>
     */
    private Integer orderTotal;

    /**
     * <pre>
     * 订单时间
     * 表字段 : t_draw_apply_order_accept.order_date
     * </pre>
     */
    private String orderDate;

    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply_order_accept.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply_order_accept.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 提款编号
     * 表字段 : t_draw_apply_order_accept.draw_code
     * </pre>
     */
    public String getDrawCode() {
        return drawCode;
    }

    /**
     * <pre>
     * 提款编号
     * 表字段 : t_draw_apply_order_accept.draw_code
     * </pre>
     */
    public void setDrawCode(String drawCode) {
        this.drawCode = drawCode == null ? null : drawCode.trim();
    }

    /**
     * <pre>
     * 验收单id
     * 表字段 : t_draw_apply_order_accept.accept_id
     * </pre>
     */
    public Integer getAcceptId() {
        return acceptId;
    }

    /**
     * <pre>
     * 验收单id
     * 表字段 : t_draw_apply_order_accept.accept_id
     * </pre>
     */
    public void setAcceptId(Integer acceptId) {
        this.acceptId = acceptId;
    }

    /**
     * <pre>
     * 验收单编号
     * 表字段 : t_draw_apply_order_accept.accept_code
     * </pre>
     */
    public String getAcceptCode() {
        return acceptCode;
    }

    /**
     * <pre>
     * 验收单编号
     * 表字段 : t_draw_apply_order_accept.accept_code
     * </pre>
     */
    public void setAcceptCode(String acceptCode) {
        this.acceptCode = acceptCode == null ? null : acceptCode.trim();
    }

    /**
     * <pre>
     * 验收日期
     * 表字段 : t_draw_apply_order_accept.accept_date
     * </pre>
     */
    public String getAcceptDate() {
        return acceptDate;
    }

    /**
     * <pre>
     * 验收日期
     * 表字段 : t_draw_apply_order_accept.accept_date
     * </pre>
     */
    public void setAcceptDate(String acceptDate) {
        this.acceptDate = acceptDate == null ? null : acceptDate.trim();
    }

    /**
     * <pre>
     * 验收金额
     * 表字段 : t_draw_apply_order_accept.accept_amount
     * </pre>
     */
    public Double getAcceptAmount() {
        return acceptAmount;
    }

    /**
     * <pre>
     * 验收金额
     * 表字段 : t_draw_apply_order_accept.accept_amount
     * </pre>
     */
    public void setAcceptAmount(Double acceptAmount) {
        this.acceptAmount = acceptAmount;
    }

    /**
     * <pre>
     * 验收状态
     * 表字段 : t_draw_apply_order_accept.accept_status
     * </pre>
     */
    public String getAcceptStatus() {
        return acceptStatus;
    }

    /**
     * <pre>
     * 验收状态
     * 表字段 : t_draw_apply_order_accept.accept_status
     * </pre>
     */
    public void setAcceptStatus(String acceptStatus) {
        this.acceptStatus = acceptStatus == null ? null : acceptStatus.trim();
    }

    /**
     * <pre>
     * 订单明细id
     * 表字段 : t_draw_apply_order_accept.order_item_id
     * </pre>
     */
    public Integer getOrderItemId() {
        return orderItemId;
    }

    /**
     * <pre>
     * 订单明细id
     * 表字段 : t_draw_apply_order_accept.order_item_id
     * </pre>
     */
    public void setOrderItemId(Integer orderItemId) {
        this.orderItemId = orderItemId;
    }

    /**
     * <pre>
     * 物料编号
     * 表字段 : t_draw_apply_order_accept.product_code
     * </pre>
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * <pre>
     * 物料编号
     * 表字段 : t_draw_apply_order_accept.product_code
     * </pre>
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode == null ? null : productCode.trim();
    }

    /**
     * <pre>
     * 物料名称
     * 表字段 : t_draw_apply_order_accept.product_title
     * </pre>
     */
    public String getProductTitle() {
        return productTitle;
    }

    /**
     * <pre>
     * 物料名称
     * 表字段 : t_draw_apply_order_accept.product_title
     * </pre>
     */
    public void setProductTitle(String productTitle) {
        this.productTitle = productTitle == null ? null : productTitle.trim();
    }

    /**
     * <pre>
     * 物料规格
     * 表字段 : t_draw_apply_order_accept.product_spec
     * </pre>
     */
    public String getProductSpec() {
        return productSpec;
    }

    /**
     * <pre>
     * 物料规格
     * 表字段 : t_draw_apply_order_accept.product_spec
     * </pre>
     */
    public void setProductSpec(String productSpec) {
        this.productSpec = productSpec == null ? null : productSpec.trim();
    }

    /**
     * <pre>
     * 物料原厂型号
     * 表字段 : t_draw_apply_order_accept.product_cmpcode
     * </pre>
     */
    public String getProductCmpcode() {
        return productCmpcode;
    }

    /**
     * <pre>
     * 物料原厂型号
     * 表字段 : t_draw_apply_order_accept.product_cmpcode
     * </pre>
     */
    public void setProductCmpcode(String productCmpcode) {
        this.productCmpcode = productCmpcode == null ? null : productCmpcode.trim();
    }

    /**
     * <pre>
     * 订单id
     * 表字段 : t_draw_apply_order_accept.order_id
     * </pre>
     */
    public Integer getOrderId() {
        return orderId;
    }

    /**
     * <pre>
     * 订单id
     * 表字段 : t_draw_apply_order_accept.order_id
     * </pre>
     */
    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    /**
     * <pre>
     * 订单编号
     * 表字段 : t_draw_apply_order_accept.order_code
     * </pre>
     */
    public String getOrderCode() {
        return orderCode;
    }

    /**
     * <pre>
     * 订单编号
     * 表字段 : t_draw_apply_order_accept.order_code
     * </pre>
     */
    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode == null ? null : orderCode.trim();
    }

    /**
     * <pre>
     * 客户企业名称
     * 表字段 : t_draw_apply_order_accept.cust_name
     * </pre>
     */
    public String getCustName() {
        return custName;
    }

    /**
     * <pre>
     * 客户企业名称
     * 表字段 : t_draw_apply_order_accept.cust_name
     * </pre>
     */
    public void setCustName(String custName) {
        this.custName = custName == null ? null : custName.trim();
    }

    /**
     * <pre>
     * 订单总金额
     * 表字段 : t_draw_apply_order_accept.order_total
     * </pre>
     */
    public Integer getOrderTotal() {
        return orderTotal;
    }

    /**
     * <pre>
     * 订单总金额
     * 表字段 : t_draw_apply_order_accept.order_total
     * </pre>
     */
    public void setOrderTotal(Integer orderTotal) {
        this.orderTotal = orderTotal;
    }

    /**
     * <pre>
     * 订单时间
     * 表字段 : t_draw_apply_order_accept.order_date
     * </pre>
     */
    public String getOrderDate() {
        return orderDate;
    }

    /**
     * <pre>
     * 订单时间
     * 表字段 : t_draw_apply_order_accept.order_date
     * </pre>
     */
    public void setOrderDate(String orderDate) {
        this.orderDate = orderDate == null ? null : orderDate.trim();
    }
}